/*
 * NoUniqueLineException.java
 *
 * Created on March 4, 2003, 12:56 PM
 */

package cs101.awt.geom;

/**
 * This exception represents a condition where more than one line satisfies
 * a condition, and this prevents the throwing method from generating a 
 * valid return value. This condition generally implies the need for alternate
 * but forseable logic, and so it is a checked exception.
 *
 * @author  Patrick G. Heck, gus.heck@olin.edu
 * @version $Id: NoUniqueLineException.java,v 1.1 2003/03/04 23:22:04 gus Exp $
 */
public class NoUniqueLineException extends java.lang.Exception {
    
    /**
     * Creates a new instance of <code>NoUniqueLineException</code> without detail message.
     */
    public NoUniqueLineException() {
    }
    
    
    /**
     * Constructs an instance of <code>NoUniqueLineException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public NoUniqueLineException(String msg) {
        super(msg);
    }
}

/*
 * $Log: NoUniqueLineException.java,v $
 * Revision 1.1  2003/03/04 23:22:04  gus
 * Exceptions for shape utils
 *
 */