/*
 * EtchControlListener.java
 *
 * Created on December 10, 2002, 5:02 PM
 */

package spirograph;

/** This interface should be implementeed by classes that need to know when
 * recipies have been manipulated in the EtchControl or be notified of
 * important state changes, such as initialiaztion of the etch control.
 *
 * <p>Copyright &copy; 2002-2003 Franklin W. Olin College of Engineering.</p>
 *
 * @author Patrick G. Heck, gus.heck@olin.edu
 * @version $Id: EtchControlListener.java,v 1.4 2003/01/15 17:36:10 gus Exp $
 */
public interface EtchControlListener {

    /** This method advises the listening class that a change has occured in the
     * {@link EtchControl}. The listening class should poll the
     * <code>EtchControl</code> for any state inforamtion that it needs to monitor
     * when this method is invoked. No information is contained in the
     * <code>ChangeEvent</code> other than the identity of the source object.
     * @param ce A change event who's source is the EtchControl.
     */    
    public void etchControlUpdated(javax.swing.event.ChangeEvent ce);
   
}

/*
 * $Log: EtchControlListener.java,v $
 * Revision 1.4  2003/01/15 17:36:10  gus
 * adding log keywords to files that don't have them
 *
 */